////////////////////////////////////////////////////////////////////////////////
//
// Functions for lexem processing.
//
// Created at: 01 Nov 1999
//
// Last modified at: 01 Nov 1999
//
///////////////////////////////////////////////////////////////////////////////

#include "pch.h"

#include "ticlexems.hpp"

#include "ticlexems.inc"

int keyCompare(const void* p1, const void* p2) {
	const char*	key = (const char*)p1;
	const char**	pvalue = (const char**)p2;
	return (stricmp( key, *pvalue ));
}

int getTicLexemID(char* lexem) {
	char** result;

	result = (char**)bsearch( lexem, TicLexems, sizeof(TicLexems)/sizeof(char*), sizeof(char*), keyCompare );

	if (result == NULL)
		return (-1);

	return (result - TicLexems);
}
